Bug 145407 - ifup-wireless should allow the security mode to be set
ifup-wireless should allow the security mode to be set
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks: FC4Target
  Show dependency treegraph
Reported: 2005-01-17 20:33 EST by Charles R. Anderson
Modified: 2014-03-16 22:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.08-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-15 16:02:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2005-01-17 20:33:58 EST
Description of problem:

802.11 networks can be either "restricted" or "open".  Not only is
"restricted" a security nightmare (see URL for archive link about the
badness of Shared Key Authentication), there is no standard way to set
"open" or "restricted" in the current ifup-wireless.  Additionally, it
was mentioned that different drivers/versions may default to a
different security mode if it is not explicitly set.  I suggest there
at least be a standard way to set this security mode, and have it
default to "open".

Version-Release number of selected component (if applicable):


Expected results:

Implement this:


to cause ifup-wireless to invoke:


Additional info:

It is possible to achieve this effect with this option:

IWCONFIG="enc open"

but it would be nice to not have to rely upon this, so that the
setting is more easily exposed in a GUI such as s-c-network, and used
by NetworkManager.
Comment 1 Bill Nottingham 2005-04-15 16:02:36 EDT
Added in 8.08-1. Note that NM doesn't have anything to do with ifup-wireless.

Note You need to log in before you can comment on or make changes to this bug.